#
# spec file for package tk_new (Version 8.0p1)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tcl_new

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         tk_new
Release:      11
Copyright:    Copyright: The Regents of the University of California. 1994-95 Sun Microsystems Inc,
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      8.0p1
Summary:      TK toolkit for TCL
Source: tk8.0.tar.gz
Source1: tcl8.0.tar.gz
Patch: invisible.patch
Patch1: tk8.0.dif
Patch2: tcl8.0.dif
%description
Tk is an extension to Tcl that allows you to quickly and easily build
X11 applications that have the look and feel of Motif apps.
The TK-Shell is /usr/X11R6/bin/wish8.0
Native look and feel.  The widgets have been rewritten to provide
(nearly?) native look and feel on the Macintosh and PC.
Demo: /usr/X11R6/lib/tk8.0/demo/widget

Authors:
--------
    John Ousterhout <john.ousterhout@eng.sun.com>

%prep
%setup -n tk8.0 -b 1
cd generic
%patch
cd ..
%patch -P 1
cd ../tcl8.0
%patch -P 2
%build
cd ../tcl8.0
cd unix 
./configure --enable-gcc --enable-shared --prefix=/usr/X11R6
cd ../../tk8.0
make -f Makefile.Linux compile
%install
make -f Makefile.Linux install
Check
%files
/usr/X11R6/lib/tk8.0
/usr/X11R6/lib/tkConfig8.0.sh
/usr/doc/packages/tk8.0
/usr/X11R6/bin/wish8.0
/usr/X11R6/include/tk8.0.h
/usr/X11R6/lib/libtk8.0.a
/usr/X11R6/lib/libtk8.0.so

